.pt-o-game-5 {
  &__container {
    width: 100%;
    // max-width: 117vh;
    height: 100%;
    margin: auto;

    .pt-o-block-bottom-gradient-with-header {
      overflow: hidden;

      &::before {
        z-index: 2;
      }

      &__header {
        & > .__heading {
          color: $white;
          font-family: 'mont_m';
          font-size: 1.8rem;
          line-height: 2.2rem;
        }
      }

      &__content {
        & > div {
          & > div {
            &:nth-child(1) {
              color: $gunPowder;
              font-family: 'mont_m';
              font-size: 2rem;
              line-height: 4rem;

              & > .__content {
                & > .__space {
                  height: 4rem;
                  padding: 0 0 0 12.3rem;
                  margin: 0 0.5rem;
                  border-bottom: 0.2rem solid $cornflower;
                  cursor: pointer;
                  position: relative;
                  text-align: center;
                  text-decoration: underline;

                  &::after {
                    width: 1.6rem;
                    height: 0.8rem;
                    clip-path: polygon(0 0, 50% 100%, 100% 0);
                    background: $dodgerBlue;
                    content: '';
                    display: inline-block;
                    transform: translateY(-50%);
                  }
                  
                  &.--inline {
                    padding: 0 1rem 0 0;
                    color: $dodgerBlue;

                    &:after {
                      transform: translate(1rem, -50%);
                    }
                  }
                  &.--example{
                    padding: 0 0.6rem;
                    color: #67ab8d;
                    border-color: #67ab8d;
                    font-style: italic;
                    font-family: 'mont_b';
                    &:after {
                      display: none;
                    }
                  }
                  &.--success {
                    color: $limeGreen;

                    &:after {
                      opacity: 0.3;
                    }
                  }

                  &.--danger {
                    color: $salmon;

                    &:after {
                      opacity: 0.3;
                    }
                  }
                }
              }
            }

            &:nth-child(3) {
              & > div {
                background: $pattensBlue !important;
              }
            }
          }
        }
      }

      .__drawer {
        width: 60%;
        max-width: 63.4rem;
        height: auto;
        padding: 1.2rem 1.6rem;
        background: $white;
        box-shadow: 0 0 2.4rem rgba($color: $tropicalBlue, $alpha: 0.7);
        overflow: auto;
        top: 50%;
        position: fixed;
        bottom: unset;
        transform: translate(-50%, -50%);
        left: 50%;
        border-radius: 2.4rem;
        z-index: 1000;
        transition: display 0.25s ease-in-out;
        display: none;
        max-height: 60%;
        &.--show {
          display: block;
        }

        &::-webkit-scrollbar {
          width: 0.8rem;

          &-track {
            background: transparent;
          }

          &-thumb {
            background: $pattensBlue;
            border-radius: 0.4rem;
          }
        }

        &-item {
          min-height: 4.4rem;
          margin: 0 0 1rem 0;
          border-radius: 0.8rem;
          color: $gunPowder;
          cursor: pointer;
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_sb';
          font-size: 1.8rem;
          line-height: 2.2rem;
          text-align: center;
          transition: background 0.25s ease-in-out;

          &:last-child {
            margin: 0;
          }

          &.--active {
            background: $dodgerBlue;
            color: $white;

            &:hover {
              background: $dodgerBlue;
            }
          }

          &:hover {
            background: $pattensBlue;
          }

          @media only screen and (min-width: 1024px) and (max-width: 1366px) {
            font-size: 2rem;
          }

          @media only screen and (min-width: 768px) and (max-width: 1024px) and (max-aspect-ratio:3999/3000) {
            font-size: 2rem;
          }


          @media only screen and (max-width: 767px) and (max-aspect-ratio:3999/3000) {
            font-size: 1.6rem;
          }
        }
      }
    }
  }

  &__see-more {
    display: none;
    // display: flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    border-radius: 2rem;
    background-color: rgba($color: #000000, $alpha: 0.4);
    position: fixed;
    bottom: 14rem;
    z-index: 1000;
    left: calc(50% - 2rem);
  }
}

@media only screen and (min-width: 1024px) and (max-width: 1366px) {
  .pt-o-game-5 {
    &__container {
      height: calc(100vh - 30rem);
      .pt-o-block-bottom-gradient-with-header {
        &__header {
          border: 1px soild green;
          height: unset !important;
          & > .__heading {
            font-size: 2rem;
          }
        }
        &__content {
          // height: 90% !important;
          padding: 1rem 2rem;
          bottom: 2.4rem;
          border-radius: 0;
          box-shadow: unset;
          & > div {
            & > div {
              &:nth-child(1) {
                padding: 0;
                font-size: 2rem;
              }
            }
          }
        }
      }
    }
  }
}

@include screen-768-1024-portrait {
  .pt-o-game-5 {
    &__container {
      .pt-o-block-bottom-gradient-with-header {
        &__header {
          height: unset !important;
          & > .__heading {
            font-size: 2rem;
          }
        }
        &__content {
          padding: 1rem;
          top: 7rem;
          border-radius: 0;
          box-shadow: unset;
          & > div {
            & > div {
              &:nth-child(1) {
                padding: 0;
                font-size: 2rem;
              }
            }
          }
        }
      }
    }
  }
}



@include screen-767-portrait {
  .pt-o-game-5 {
    overflow: auto;
    &__container {
      height: auto;
      .pt-o-block-bottom-gradient-with-header {
        &__header {
          height: unset !important;
          & > .__heading {
            font-size: 1.6rem;
          }
        }
        &__content {
          height: unset;
          padding: 1rem !important;
          top: 1rem;
          left: unset;
          bottom: unset;
          position: relative;
          width: 100%;
          border-radius: 0;
          box-shadow: unset;
          margin-bottom: 3rem;
          & > div {
            & > div {
              position: unset !important;
              &:nth-child(1) {
                padding: 0;
                font-size: 1.6rem;
              }
              .__content {
                padding-bottom: 2rem;
              }
            }
          }
        }
      }
    }
    &__see-more {
      display: flex;
      z-index: 1;
    }
  }
}

@media (min-width: 481px) and (max-width: 767px)  and (max-aspect-ratio: 3999/3000) {
  .pt-o-game-5 {
    overflow: auto;
    &__container {
      height: 100%;
      .pt-o-block-bottom-gradient-with-header {
        &__header {
          height: unset !important;
          & > .__heading {
            font-size: 1.6rem;
          }
        }
        &__content {
          height: unset;
          padding: 1rem !important;
          top: 1rem;
          left: unset;
          bottom: unset;
          position: relative;
          width: 100%;
          border-radius: 0;
          box-shadow: unset;
          margin-bottom: 3rem;
          & > div {
            & > div {
              position: unset !important;
              &:nth-child(1) {
                padding: 0;
                font-size: 1.6rem;
              }
              .__content {
                padding-bottom: 2rem;
              }
            }
          }
        }
        .__drawer {
          &.--show {
            width: 70%;
          }
        }
      }
    }
    &__see-more {
      display: flex;
    }
  }
}

  // @include vertical-game3 {
  //   .vertical-issue .pt-o-block-bottom-gradient-with-header__content {
  //     position: static;
  //     margin: 0 auto;
  //     height: calc(100% - 7rem - 1.2rem) !important;
  //   }
  // }
@include screen-1024-landscape {
  .pt-o-game-5 {
    &__container {
      .pt-o-block-bottom-gradient-with-header {
        &__header {
          height: unset !important;
        }
        &__content {
          padding: 1.6rem !important;
          top: 0rem;
          left: unset;
          bottom: unset;
          position: relative;
          width: 100%;
          border-radius: 0;
          box-shadow: unset;
          & > div {
            & > div {
              &:nth-child(1) {
                height: 100%;
              }
            }
          }
        }
      }
    }
  }
}
@include screen-960-landscape {
  .pt-o-game-5 {
    &__container {
      height: 100%;
      .pt-o-block-bottom-gradient-with-header {
        &__header {
          max-height: 30% !important;
          min-height: 22px;
          padding: 1rem 1.6rem;
          overflow: auto;
          & > .__heading {
            font-size: 1.4rem;
          }
        }
        &__content {
          height: 74% !important;
          padding: 1rem !important;
          top: 0rem;
          left: unset;
          bottom: unset;
          position: relative;
          width: 100%;
          border-radius: 0;
          box-shadow: unset;
          & > div {
            & > div {
              &:nth-child(1) {
                font-size: 1.2rem;
                height: 100%;
              }
            }
          }
        }
        .__drawer {
          width: 50%;
          &::-webkit-scrollbar {
            width: 0.8rem;
  
            &-track {
              background: transparent;
            }
  
            &-thumb {
              background: $pattensBlue;
              border-radius: 0.4rem;
            }
          }
  
          &-item {
            min-height: 3rem;
            margin: 0 0 1rem 0;
            border-radius: 0.8rem;
            font-size: 1.2rem;
            line-height: 2.2rem;
            font-size: 1.2rem;
          }
        }
      }
    }
  }
}
